Subject: Re: bug#38406: 27.0.50; post-self-insert-hook does not hold its contract in cc-mode derived modes

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Dec 2019 22:17:01 +0200

> Date: Mon, 2 Dec 2019 18:31:56 +0000
> Cc: [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > You'd be surprised to know what some of those hooks do.  Everything
> > you say they don't, and then some.
> 
> Any chance you could name one (or even two), thus letting me see for
> myself?

I'd have to dig for them.  I'll try.

> > It doesn't seem too hackish to me, and as a nice bonus we will have
> > post-self-insert-hook act as per its contract again.
> 
> > So could you please do that?  TIA.
> 
> OK, I'll do that.  It's not a nice thing to do, but we're kind of
> lacking nice things in this situation.  Give me a few days, please - I'm
> a touch busy in RL at the moment.

Thanks, there's no special rush.

> Additionally, how about reversing the encouragement in the Elisp manual
> to put buffer changing functions onto post-self-insert-hook?

If you could suggest the text to explain why this should be
discouraged, I promise to consider it.